[blfs-support] remove-expired-certs.sh

Bruce Dubbs bruce.dubbs at gmail.com
Sat Feb 11 09:24:43 PST 2012


Fernando de Oliveira wrote:
> Hi,
> 
> Running this script I obtain (LFS 6.5, 6.7, small difference in 6.8):
> 
> $ remove-expired-certs.sh
> date: data inv�lida "Jul 31 12:31:40 2038 GMT"
> /bin/remove-expired-certs.sh: line 18: [: -lt: esperado operador un�rio

That comes from the line:

if [ $( date -d "${date}" +%Y%m%d ) -lt ${today} ]; then

Where 'date' can't handle values after 2038.  I thought we fixed that, 
but evidently didn't.  I'll try to get that fixed later today.  I don't 
recall the solution right now.

   -- Bruce



More information about the blfs-support mailing list